BatchedWrite (ActiveIO 1.0 API)
Keywords: org.activeio.journal.active.BatchedWrite class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.activeio.journal.active
Class BatchedWrite

    java.lang.Object
      org.activeio.journal.active.BatchedWrite

public final class BatchedWrite
extends java.lang.Object

This contains all the data needed to write and force a list of records to a LogFile. The more records that can be cramed into a single BatchedWrite, the higher throughput that can be achived by a write and force operation.

Version:
  $Revision: 1.1 $

Field Summary
`java.lang.Throwable` | `error`

Constructor Summary
`BatchedWrite(Packet packet)`

Method Summary
`boolean` | `append(Record record, Location recordMark, boolean force)`
`void` | `flip()`
`void` | `forced()`
`boolean` | `getForce()`
`Location` | `getMark()`
`Packet` | `getPacket()`
`void` | `waitForForce()`
`void` | `writeFailed(java.lang.Throwable error)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### error

    public java.lang.Throwable error

Constructor Detail

### BatchedWrite

    public BatchedWrite(Packet packet)

Parameters:
  `packet` -

Method Detail

### append

    public boolean append(Record record,
                          Location recordMark,
                          boolean force)

  Returns:

### waitForForce

    public void waitForForce()
                      throws java.lang.Throwable

  Throws:
    `java.lang.Throwable`

### forced

    public void forced()

### writeFailed

    public void writeFailed(java.lang.Throwable error)

### getPacket

    public Packet getPacket()

### getMark

    public Location getMark()

  Returns:

### flip

    public void flip()
              throws java.lang.InterruptedException

  Throws:
    `java.lang.InterruptedException`

### getForce

    public boolean getForce()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © -2005 The ActiveIO Project. All Rights Reserved.